Loading...
Searching...
No Matches
XrdPfcTrace.hh File Reference
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysTrace.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdOuc/XrdOucPrivateUtils.hh"`
Include dependency graph for XrdPfcTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | XrdPfc

## Macros

#define | ERRNO_AND_ERRSTR(err_code)
#define | TRACE(act, x)
#define | TRACE_Debug 4
#define | TRACE_Dump 5
#define | TRACE_DumpXL 6
#define | TRACE_Error 1
#define | TRACE_Info 3
#define | TRACE_INT(act, x)
#define | TRACE_None 0
#define | TRACE_PC(act, pre_code, x)
#define | TRACE_STR_0 ""
#define | TRACE_STR_1 "error "
#define | TRACE_STR_2 "warning "
#define | TRACE_STR_3 "info "
#define | TRACE_STR_4 "debug "
#define | TRACE_STR_5 "dump "
#define | TRACE_STR_6 "dump "
#define | TRACE_STR_Debug "debug "
#define | TRACE_STR_Dump "dump "
#define | TRACE_STR_DumpXL "dump "
#define | TRACE_STR_Error "error "
#define | TRACE_STR_Info "info "
#define | TRACE_STR_None ""
#define | TRACE_STR_Warning "warning "
#define | TRACE_TEST(act, x)
#define | TRACE_Warning 2
#define | TRACEF(act, x)
#define | TRACEF_INT(act, x)
#define | TRACEIO(act, x)
#define | XRD_TRACE GetTrace()->

## Macro Definition Documentation

## ERRNO_AND_ERRSTR

#define ERRNO_AND_ERRSTR | ( |  | err_code | ) |

Value:
", err_code=" << err_code << ", err_str=" << XrdSysE2T(err_code)
XrdSysE2T
const char * XrdSysE2T(int errcode)
Definition XrdSysE2T.cc:104

Definition at line 46 of file XrdPfcTrace.hh.

Referenced by XrdPfc::Cache::ExecuteCommandUrl(), and XrdPfc::DataFsSnapshot::write_json_file().

## TRACE

#define TRACE | ( |  | act,
|  |  | x )

Value:
if (XRD_TRACE What >= TRACE_ ## act) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, TRACE_STR_ ## act << x)
XRD_TRACE
#define XRD_TRACE
Definition XrdScheduler.cc:48

Definition at line 48 of file XrdPfcTrace.hh.

#define TRACE(act, x) \
if (XRD_TRACE What >= TRACE_ ## act) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, TRACE_STR_ ## act << x)

## TRACE_Debug

#define TRACE_Debug 4

Definition at line 10 of file XrdPfcTrace.hh.

## TRACE_Dump

#define TRACE_Dump 5

Definition at line 11 of file XrdPfcTrace.hh.

## TRACE_DumpXL

#define TRACE_DumpXL 6

Definition at line 12 of file XrdPfcTrace.hh.

## TRACE_Error

#define TRACE_Error 1

Definition at line 7 of file XrdPfcTrace.hh.

Referenced by XrdPfc::IOFile::DetachFinalize().

## TRACE_Info

#define TRACE_Info 3

Definition at line 9 of file XrdPfcTrace.hh.

## TRACE_INT

#define TRACE_INT | ( |  | act,
|  |  | x )

Value:
if (XRD_TRACE What >= act) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, trace_what_strings[act] << x)

Definition at line 52 of file XrdPfcTrace.hh.

#define TRACE_INT(act, x) \
if (XRD_TRACE What >= act) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, trace_what_strings[act] << x)

Referenced by XrdPfc::ResourceMonitor::perform_purge_check().

## TRACE_None

#define TRACE_None 0

Definition at line 6 of file XrdPfcTrace.hh.

## TRACE_PC

#define TRACE_PC | ( |  | act,
|  |  | pre_code,
|  |  | x )

Value:
if (XRD_TRACE What >= TRACE_ ## act) \
{pre_code; SYSTRACE(XRD_TRACE, 0, m_traceID, 0, TRACE_STR_ ## act << x)}
SYSTRACE
#define SYSTRACE(obj, usr, epn, txt, dbg)
Definition XrdSysTrace.hh:45

Definition at line 59 of file XrdPfcTrace.hh.

#define TRACE_PC(act, pre_code, x) \
if (XRD_TRACE What >= TRACE_ ## act) \
{pre_code; SYSTRACE(XRD_TRACE, 0, m_traceID, 0, TRACE_STR_ ## act << x)}

Referenced by XrdPfc::Cache::Attach(), and XrdPfc::IO::Update().

## TRACE_STR_0

#define TRACE_STR_0 ""

Definition at line 22 of file XrdPfcTrace.hh.

## TRACE_STR_1

#define TRACE_STR_1 "error "

Definition at line 23 of file XrdPfcTrace.hh.

## TRACE_STR_2

#define TRACE_STR_2 "warning "

Definition at line 24 of file XrdPfcTrace.hh.

## TRACE_STR_3

#define TRACE_STR_3 "info "

Definition at line 25 of file XrdPfcTrace.hh.

## TRACE_STR_4

#define TRACE_STR_4 "debug "

Definition at line 26 of file XrdPfcTrace.hh.

## TRACE_STR_5

#define TRACE_STR_5 "dump "

Definition at line 27 of file XrdPfcTrace.hh.

## TRACE_STR_6

#define TRACE_STR_6 "dump "

Definition at line 28 of file XrdPfcTrace.hh.

## TRACE_STR_Debug

#define TRACE_STR_Debug "debug "

Definition at line 18 of file XrdPfcTrace.hh.

## TRACE_STR_Dump

#define TRACE_STR_Dump "dump "

Definition at line 19 of file XrdPfcTrace.hh.

## TRACE_STR_DumpXL

#define TRACE_STR_DumpXL "dump "

Definition at line 20 of file XrdPfcTrace.hh.

## TRACE_STR_Error

#define TRACE_STR_Error "error "

Definition at line 15 of file XrdPfcTrace.hh.

## TRACE_STR_Info

#define TRACE_STR_Info "info "

Definition at line 17 of file XrdPfcTrace.hh.

## TRACE_STR_None

#define TRACE_STR_None ""

Definition at line 14 of file XrdPfcTrace.hh.

## TRACE_STR_Warning

#define TRACE_STR_Warning "warning "

Definition at line 16 of file XrdPfcTrace.hh.

## TRACE_TEST

#define TRACE_TEST | ( |  | act,
|  |  | x )

Value:
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, TRACE_STR_ ## act << x)

Definition at line 56 of file XrdPfcTrace.hh.

#define TRACE_TEST(act, x) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, TRACE_STR_ ## act << x)

## TRACE_Warning

#define TRACE_Warning 2

Definition at line 8 of file XrdPfcTrace.hh.

## TRACEF

#define TRACEF | ( |  | act,
|  |  | x )

Value:
if (XRD_TRACE What >= TRACE_ ## act) SYSTRACE(XRD_TRACE, 0, m_traceID, 0, \
TRACE_STR_ ## act << x << " " << GetLocalPath())

Definition at line 67 of file XrdPfcTrace.hh.

#define TRACEF(act, x) \
if (XRD_TRACE What >= TRACE_ ## act) SYSTRACE(XRD_TRACE, 0, m_traceID, 0, \
TRACE_STR_ ## act << x << " " << GetLocalPath())

Referenced by XrdPfc::File::AddIO(), XrdPfc::File::BlockRemovedFromWriteQ(), XrdPfc::File::BlocksRemovedFromWriteQ(), XrdPfc::File::FinalizeSyncBeforeExit(), XrdPfc::File::ioActive(), XrdPfc::File::Prefetch(), XrdPfc::File::Read(), XrdPfc::File::ReadV(), XrdPfc::File::RemoveIO(), XrdPfc::File::Sync(), and XrdPfc::File::WriteBlockToDisk().

## TRACEF_INT

#define TRACEF_INT | ( |  | act,
|  |  | x )

Value:
if (XRD_TRACE What >= act) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, trace_what_strings[act] << x << " " << GetLocalPath())

Definition at line 71 of file XrdPfcTrace.hh.

#define TRACEF_INT(act, x) \
if (XRD_TRACE What >= act) \
SYSTRACE(XRD_TRACE, 0, m_traceID, 0, trace_what_strings[act] << x << " " << GetLocalPath())

## TRACEIO

#define TRACEIO | ( |  | act,
|  |  | x )

Value:
if (XRD_TRACE What >= TRACE_ ## act) SYSTRACE(XRD_TRACE, 0, m_traceID, 0, \
TRACE_STR_ ## act << x << " " << obfuscateAuth(GetPath()))
obfuscateAuth
std::string obfuscateAuth(const std::string &input)
Definition XrdOucUtils.cc:1534

Definition at line 63 of file XrdPfcTrace.hh.

#define TRACEIO(act, x) \
if (XRD_TRACE What >= TRACE_ ## act) SYSTRACE(XRD_TRACE, 0, m_traceID, 0, \
TRACE_STR_ ## act << x << " " << obfuscateAuth(GetPath()))

Referenced by XrdPfc::IOFile::~IOFile(), XrdPfc::IOFileBlock::~IOFileBlock(), XrdPfc::IOFileBlock::DetachFinalize(), XrdPfc::IOFile::pgRead(), XrdPfc::IOFile::Read(), XrdPfc::IOFile::Read(), XrdPfc::IOFileBlock::Read(), XrdPfc::IOFile::ReadV(), and XrdPfc::IOFile::ReadV().

## XRD_TRACE

#define XRD_TRACE GetTrace()->

Definition at line 38 of file XrdPfcTrace.hh.